org.apache.activemq.artemis.api.core.management

## Class AddressSettingsInfo

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.AddressSettingsInfo

-     public final class AddressSettingsInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressSettingsInfo(String addressFullMessagePolicy, long maxSizeBytes, int pageSizeBytes, int pageCacheMaxSize, int maxDeliveryAttempts, long redeliveryDelay, double redeliveryMultiplier, long maxRedeliveryDelay, String deadLetterAddress, String expiryAddress, boolean lastValueQueue, long redistributionDelay, boolean sendToDLAOnNoRoute, long slowConsumerThreshold, long slowConsumerCheckPeriod, String slowConsumerPolicy, boolean autoCreateJmsQueues, boolean autoCreateJmsTopics, boolean autoDeleteJmsQueues, boolean autoDeleteJmsTopics, boolean autoCreateQueues, boolean autoDeleteQueues, boolean autoCreateAddresses, boolean autoDeleteAddresses, String configDeleteQueues, String configDeleteAddresses, long maxSizeBytesRejectThreshold, String defaultLastValueKey, boolean defaultNonDestructive, boolean defaultExclusiveQueue, boolean defaultGroupRebalance, int defaultGroupBuckets, String defaultGroupFirstKey, int defaultMaxConsumers, boolean defaultPurgeOnNoConsumers, int defaultConsumersBeforeDispatch, long defaultDelayBeforeDispatch, String defaultQueueRoutingType, String defaultAddressRoutingType, int defaultConsumerWindowSize, long defaultRingSize, boolean autoDeleteCreatedQueues, long autoDeleteQueuesDelay, long autoDeleteQueuesMessageCount, long autoDeleteAddressesDelay, double redeliveryCollisionAvoidanceFactor, long retroactiveMessageCount, boolean autoCreateDeadLetterResources, String deadLetterQueuePrefix, String deadLetterQueueSuffix, boolean autoCreateExpiryResources, String expiryQueuePrefix, String expiryQueueSuffix, long expiryDelay, long minExpiryDelay, long maxExpiryDelay, boolean enableMetrics)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddressSettingsInfo` | `from(String jsonString)`
    `String` | `getAddressFullMessagePolicy()`
    `long` | `getAutoDeleteAddressesDelay()`
    `long` | `getAutoDeleteQueuesDelay()`
    `long` | `getAutoDeleteQueuesMessageCount()`
    `String` | `getConfigDeleteAddresses()`
    `String` | `getConfigDeleteQueues()`
    `String` | `getDeadLetterAddress()`
    `String` | `getDeadLetterQueuePrefix()`
    `String` | `getDeadLetterQueueSuffix()`
    `String` | `getDefaultAddressRoutingType()`
    `int` | `getDefaultConsumersBeforeDispatch()`
    `int` | `getDefaultConsumerWindowSize()`
    `long` | `getDefaultDelayBeforeDispatch()`
    `int` | `getDefaultGroupBuckets()`
    `String` | `getDefaultGroupFirstKey()`
    `String` | `getDefaultLastValueKey()`
    `int` | `getDefaultMaxConsumers()`
    `String` | `getDefaultQueueRoutingType()`
    `long` | `getDefaultRingSize()`
    `String` | `getExpiryAddress()`
    `long` | `getExpiryDelay()`
    `String` | `getExpiryQueuePrefix()`
    `String` | `getExpiryQueueSuffix()`
    `int` | `getMaxDeliveryAttempts()`
    `long` | `getMaxExpiryDelay()`
    `long` | `getMaxRedeliveryDelay()`
    `long` | `getMaxSizeBytes()`
    `long` | `getMaxSizeBytesRejectThreshold()`
    `long` | `getMinExpiryDelay()`
    `int` | `getPageCacheMaxSize()`
    `int` | `getPageSizeBytes()`
    `double` | `getRedeliveryCollisionAvoidanceFactor()`
    `long` | `getRedeliveryDelay()`
    `double` | `getRedeliveryMultiplier()`
    `long` | `getRedistributionDelay()`
    `long` | `getRetroactiveMessageCount()`
    `long` | `getSlowConsumerCheckPeriod()`
    `String` | `getSlowConsumerPolicy()`
    `long` | `getSlowConsumerThreshold()`
    `boolean` | `isAutoCreateAddresses()`
    `boolean` | `isAutoCreateDeadLetterResources()`
    `boolean` | `isAutoCreateExpiryResources()`
    `boolean` | `isAutoCreateJmsQueues()` Deprecated.
    `boolean` | `isAutoCreateJmsTopics()` Deprecated.
    `boolean` | `isAutoCreateQueues()`
    `boolean` | `isAutoDeleteAddresses()`
    `boolean` | `isAutoDeleteCreatedQueues()`
    `boolean` | `isAutoDeleteJmsQueues()` Deprecated.
    `boolean` | `isAutoDeleteJmsTopics()` Deprecated.
    `boolean` | `isAutoDeleteQueues()`
    `boolean` | `isDefaultExclusiveQueue()`
    `boolean` | `isDefaultGroupRebalance()`
    `boolean` | `isDefaultNonDestructive()`
    `boolean` | `isDefaultPurgeOnNoConsumers()`
    `boolean` | `isEnableMetrics()`
    `boolean` | `isLastValueQueue()`
    `boolean` | `isSendToDLAOnNoRoute()`
    `void` | `setPageCacheMaxSize(int pageCacheMaxSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressSettingsInfo

          public AddressSettingsInfo(String addressFullMessagePolicy,
                                     long maxSizeBytes,
                                     int pageSizeBytes,
                                     int pageCacheMaxSize,
                                     int maxDeliveryAttempts,
                                     long redeliveryDelay,
                                     double redeliveryMultiplier,
                                     long maxRedeliveryDelay,
                                     String deadLetterAddress,
                                     String expiryAddress,
                                     boolean lastValueQueue,
                                     long redistributionDelay,
                                     boolean sendToDLAOnNoRoute,
                                     long slowConsumerThreshold,
                                     long slowConsumerCheckPeriod,
                                     String slowConsumerPolicy,
                                     boolean autoCreateJmsQueues,
                                     boolean autoCreateJmsTopics,
                                     boolean autoDeleteJmsQueues,
                                     boolean autoDeleteJmsTopics,
                                     boolean autoCreateQueues,
                                     boolean autoDeleteQueues,
                                     boolean autoCreateAddresses,
                                     boolean autoDeleteAddresses,
                                     String configDeleteQueues,
                                     String configDeleteAddresses,
                                     long maxSizeBytesRejectThreshold,
                                     String defaultLastValueKey,
                                     boolean defaultNonDestructive,
                                     boolean defaultExclusiveQueue,
                                     boolean defaultGroupRebalance,
                                     int defaultGroupBuckets,
                                     String defaultGroupFirstKey,
                                     int defaultMaxConsumers,
                                     boolean defaultPurgeOnNoConsumers,
                                     int defaultConsumersBeforeDispatch,
                                     long defaultDelayBeforeDispatch,
                                     String defaultQueueRoutingType,
                                     String defaultAddressRoutingType,
                                     int defaultConsumerWindowSize,
                                     long defaultRingSize,
                                     boolean autoDeleteCreatedQueues,
                                     long autoDeleteQueuesDelay,
                                     long autoDeleteQueuesMessageCount,
                                     long autoDeleteAddressesDelay,
                                     double redeliveryCollisionAvoidanceFactor,
                                     long retroactiveMessageCount,
                                     boolean autoCreateDeadLetterResources,
                                     String deadLetterQueuePrefix,
                                     String deadLetterQueueSuffix,
                                     boolean autoCreateExpiryResources,
                                     String expiryQueuePrefix,
                                     String expiryQueueSuffix,
                                     long expiryDelay,
                                     long minExpiryDelay,
                                     long maxExpiryDelay,
                                     boolean enableMetrics)

  - ### Method Detail

    - #### from

          public static AddressSettingsInfo from(String jsonString)

    - #### getPageCacheMaxSize

          public int getPageCacheMaxSize()

    - #### setPageCacheMaxSize

          public void setPageCacheMaxSize(int pageCacheMaxSize)

    - #### getAddressFullMessagePolicy

          public String getAddressFullMessagePolicy()

    - #### getMaxSizeBytes

          public long getMaxSizeBytes()

    - #### getPageSizeBytes

          public int getPageSizeBytes()

    - #### getMaxDeliveryAttempts

          public int getMaxDeliveryAttempts()

    - #### getRedeliveryDelay

          public long getRedeliveryDelay()

    - #### getDeadLetterAddress

          public String getDeadLetterAddress()

    - #### getExpiryAddress

          public String getExpiryAddress()

    - #### isLastValueQueue

          public boolean isLastValueQueue()

    - #### getRedistributionDelay

          public long getRedistributionDelay()

    - #### isSendToDLAOnNoRoute

          public boolean isSendToDLAOnNoRoute()

    - #### getRedeliveryMultiplier

          public double getRedeliveryMultiplier()

    - #### getMaxRedeliveryDelay

          public long getMaxRedeliveryDelay()

    - #### getSlowConsumerThreshold

          public long getSlowConsumerThreshold()

    - #### getSlowConsumerCheckPeriod

          public long getSlowConsumerCheckPeriod()

    - #### getSlowConsumerPolicy

          public String getSlowConsumerPolicy()

    - #### isAutoCreateJmsQueues

          @Deprecated
          public boolean isAutoCreateJmsQueues()

      Deprecated.

    - #### isAutoDeleteJmsQueues

          @Deprecated
          public boolean isAutoDeleteJmsQueues()

      Deprecated.

    - #### isAutoCreateJmsTopics

          @Deprecated
          public boolean isAutoCreateJmsTopics()

      Deprecated.

    - #### isAutoDeleteJmsTopics

          @Deprecated
          public boolean isAutoDeleteJmsTopics()

      Deprecated.

    - #### isAutoCreateQueues

          public boolean isAutoCreateQueues()

    - #### isAutoDeleteQueues

          public boolean isAutoDeleteQueues()

    - #### isAutoCreateAddresses

          public boolean isAutoCreateAddresses()

    - #### isAutoDeleteAddresses

          public boolean isAutoDeleteAddresses()

    - #### getConfigDeleteQueues

          public String getConfigDeleteQueues()

    - #### getConfigDeleteAddresses

          public String getConfigDeleteAddresses()

    - #### getMaxSizeBytesRejectThreshold

          public long getMaxSizeBytesRejectThreshold()

    - #### getDefaultLastValueKey

          public String getDefaultLastValueKey()

    - #### isDefaultNonDestructive

          public boolean isDefaultNonDestructive()

    - #### isDefaultExclusiveQueue

          public boolean isDefaultExclusiveQueue()

    - #### isDefaultGroupRebalance

          public boolean isDefaultGroupRebalance()

    - #### getDefaultGroupBuckets

          public int getDefaultGroupBuckets()

    - #### getDefaultGroupFirstKey

          public String getDefaultGroupFirstKey()

    - #### getDefaultMaxConsumers

          public int getDefaultMaxConsumers()

    - #### isDefaultPurgeOnNoConsumers

          public boolean isDefaultPurgeOnNoConsumers()

    - #### getDefaultConsumersBeforeDispatch

          public int getDefaultConsumersBeforeDispatch()

    - #### getDefaultDelayBeforeDispatch

          public long getDefaultDelayBeforeDispatch()

    - #### getDefaultQueueRoutingType

          public String getDefaultQueueRoutingType()

    - #### getDefaultAddressRoutingType

          public String getDefaultAddressRoutingType()

    - #### getDefaultConsumerWindowSize

          public int getDefaultConsumerWindowSize()

    - #### getDefaultRingSize

          public long getDefaultRingSize()

    - #### isAutoDeleteCreatedQueues

          public boolean isAutoDeleteCreatedQueues()

    - #### getAutoDeleteQueuesDelay

          public long getAutoDeleteQueuesDelay()

    - #### getAutoDeleteQueuesMessageCount

          public long getAutoDeleteQueuesMessageCount()

    - #### getAutoDeleteAddressesDelay

          public long getAutoDeleteAddressesDelay()

    - #### getRedeliveryCollisionAvoidanceFactor

          public double getRedeliveryCollisionAvoidanceFactor()

    - #### getRetroactiveMessageCount

          public long getRetroactiveMessageCount()

    - #### isAutoCreateDeadLetterResources

          public boolean isAutoCreateDeadLetterResources()

    - #### getDeadLetterQueuePrefix

          public String getDeadLetterQueuePrefix()

    - #### getDeadLetterQueueSuffix

          public String getDeadLetterQueueSuffix()

    - #### isAutoCreateExpiryResources

          public boolean isAutoCreateExpiryResources()

    - #### getExpiryQueuePrefix

          public String getExpiryQueuePrefix()

    - #### getExpiryQueueSuffix

          public String getExpiryQueueSuffix()

    - #### getExpiryDelay

          public long getExpiryDelay()

    - #### getMinExpiryDelay

          public long getMinExpiryDelay()

    - #### getMaxExpiryDelay

          public long getMaxExpiryDelay()

    - #### isEnableMetrics

          public boolean isEnableMetrics()

Copyright © 2020 The Apache Software Foundation. All rights reserved.